## ros-foxy-rmf-building-sim-ignition-plugins 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_building_sim_ignition_plugins)

set (CMAKE_AUTOMOC ON)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)

find_package(ignition-cmake2 REQUIRED)

ign_find_package(ignition-gazebo5 REQUIRED)
set(IGN_GAZEBO_VER 5)
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS register)
set(IGN_PLUGIN_VER 1)
ign_find_package(ignition-common4 REQUIRED)
set(IGN_COMMON_VER 4)
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER 6)
ign_find_package(ignition-gui5 REQUIRED)
set(IGN_GUI_VER 5)
ign_find_package(ignition-msgs7 REQUIRED)
set(IGN_MSGS_VER 7)
ign_find_package(ignition-transport10 REQUIRED)
set(IGN_TRANSPORT_VER 10)
ign_find_package(sdformat11 REQUIRED)

find_package(rmf_building_sim_common REQUIRED)
find_package (Qt5
  COMPONENTS
    Core
    Qml
    Quick
  REQUIRED
)
find_package(menge_vendor REQUIRED)

include(GNUInstallDirs)

###############################
# door stuff
###############################

add_library(door SHARED src/door.cpp)

target_include_directories(door
  PUBLIC
    ${rmf_building_sim_common_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
    ${rmf_door_msgs_INCLUDE_DIRS}
)

ament_target_dependencies(door
  PUBLIC
    rclcpp
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_building_sim_common
)

###############################
# lift stuff
###############################

add_library(lift SHARED src/lift.cpp)

target_include_directories(lift
  PUBLIC
    ${rmf_building_sim_common_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
)

ament_target_dependencies(lift
  PUBLIC
    rclcpp
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_building_sim_common
)

###############################
# crowd simulator stuff
###############################
add_library(crowd_simulator
  SHARED
  src/crowd_simulator.cpp
)

target_include_directories(crowd_simulator
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  ${rmf_building_sim_common_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${menge_vendor_INCLUDE_DIRS}
  ${IGNITION-COMMON_INCLUDE_DIRS}
)

ament_target_dependencies(crowd_simulator
  ignition-gazebo${IGN_GAZEBO_VER}
  ignition-plugin${IGN_PLUGIN_VER}
  rclcpp
  rmf_building_sim_common
  menge_vendor
)

###############################
# toggle charging
###############################

QT5_ADD_RESOURCES(resources_RCC src/toggle_charging/toggle_charging.qrc)

add_library(toggle_charging SHARED ${headers_MOC}
  src/toggle_charging/toggle_charging.cpp
  ${resources_RCC}
)

ament_target_dependencies(toggle_charging
  ignition-gui${IGN_GUI_VER}
  ignition-msgs${IGN_MSGS_VER}
  ignition-transport${IGN_TRANSPORT_VER}
  Qt5Core
  Qt5Qml
  Qt5Quick
  rclcpp
)

target_include_directories(toggle_charging
  PUBLIC
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
)

###############################
# install stuff
###############################

install(
  TARGETS door lift crowd_simulator toggle_charging
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-rmf-building-sim-ignition-plugins (1.3.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 02 Dec 2021 03:59:08 -0000

ros-foxy-rmf-building-sim-ignition-plugins (1.3.0-1focal) focal; urgency=high

  * Added rosdep key for ignition-edifice, made it a mandatory dependency (#31 <https://github.com/open-rmf/rmf_simulation/issues/31>)
  * Skip updating ignition plugins when simulation is paused (#34 <https://github.com/open-rmf/rmf_simulation/issues/34>)
  * updating for galactic and rolling compatibility (#29 <https://github.com/open-rmf/rmf_simulation/issues/29>)
  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/issues/26>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/issues/19>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/issues/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/issues/10>)
  * Update to Ignition Edifice (#8 <https://github.com/open-rmf/rmf_simulation/issues/8>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/issues/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/issues/3>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rmf-building-sim-ignition-plugins (1.2.0-1focal) focal; urgency=high

  * Remove Slotcar/Lift AABB component when not required to speed up demos (#271 <https://github.com/osrf/traffic_editor/issues/271>)
  * Migrate ignition plugins to ament_target_dependencies (#262 <https://github.com/osrf/traffic_editor/issues/262>)
  * Enable lifts to work with TPE (#250 <https://github.com/osrf/traffic_editor/issues/250>)
    Modifies lift plugin to issue either joint or model velocity commands
    based on the physics engine used.
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/issues/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/issues/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/issues/238>)
  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/issues/235>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge (#224 <https://github.com/osrf/traffic_editor/issues/224>)
  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutierrez, Marco A. Gutiérrez, Rushyendra Maganty

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-rmf-building-sim-ignition-plugins (1.0.0-1focal) focal; urgency=high

  * Focal / Ignition dome dependencies update (#230 <https://github.com/osrf/traffic_editor/issues/230>)
  * Ignition crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/issues/218>)
  * Create AxisAlignedBox component for slotcar (#227 <https://github.com/osrf/traffic_editor/issues/227>)
  * Ignition plugins and modularization of doors and slotcar #138 <https://github.com/osrf/traffic_editor/issues/138>
  * Adding lift plugin for ignition #171 <https://github.com/osrf/traffic_editor/issues/171>
  * Contributors: Guoliang (Fred) Shao, Luca Della Vedova, Rushyendra Maganty, kevinskwk

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 24 Sep 2020 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-rmf-building-sim-ignition-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ignition-edifice, libqt5core5a, libqt5qml5, libqt5quick5, ros-foxy-ament-cmake, ros-foxy-menge-vendor, ros-foxy-rclcpp, ros-foxy-rmf-building-sim-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmf-building-sim-ignition-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ignition-edifice, libqt5core5a, libqt5qml5, libqt5quick5, ros-foxy-menge-vendor, ros-foxy-rclcpp, ros-foxy-rmf-building-sim-common, ros-foxy-ros-workspace
Description: Ignition gazebo plugins for building infrastructure simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmf-building-sim-ignition-plugins//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
